# Bank Data

 - [Overview ](https://docs.atto.co/content/apis/bank-data/data-api-overview.md): ### Overview The most common use case is fetching user's bank account data from the Atto Data API.
 - [Authorization ](https://docs.atto.co/content/apis/bank-data/data-api-authorization.md): ### Authorization This API requires a bearer token using the `api:data` scope
 - [Deprecated endpoint ](https://docs.atto.co/content/apis/bank-data/data-api-deprecated.md): ### Deprecated endpoint The endpoint `/data/v1/consents/{consentId}/accounts`, previously returned all the data we received from the bank/data provider including all transactions along with any data
 - [Latest endpoints ](https://docs.atto.co/content/apis/bank-data/data-api-latest.md): ### Latest endpoints The above endpoint has been split into the following: - `/data/v2/consents/{consentId}/accounts` *(Returns a list containing all accounts shared for a consent)* - `/data/v2/conse
 - [Pagination Strategy ](https://docs.atto.co/content/apis/bank-data/data-api-pagination.md): ### Pagination Strategy We have added a `links` component to our responses to easily paginate through large volumes of data. The `next` and `prev` links represent relative uris. You can append our `b
 - [GET /data/v1/consents/{consentId}/accounts](https://docs.atto.co/content/apis/bank-data/paths/~1data~1v1~1consents~1%7Bconsentid%7D~1accounts/get.md): Returns a list containing the accounts shared for a consent. Does a fresh pull from the external provider.
 - [GET /data/v2/consents/{consentId}/accounts](https://docs.atto.co/content/apis/bank-data/paths/~1data~1v2~1consents~1%7Bconsentid%7D~1accounts/get.md): Returns a list containing the accounts shared for a consent. Does a fresh pull from the external provider.
 - [GET /data/v2/consents/{consentId}/accounts/{accountId}](https://docs.atto.co/content/apis/bank-data/paths/~1data~1v2~1consents~1%7Bconsentid%7D~1accounts~1%7Baccountid%7D/get.md): Returns a specific account shared for a consent. Does a fresh pull from the external provider.
 - [GET /data/v2/consents/{consentId}/accounts/{accountId}/balances](https://docs.atto.co/content/apis/bank-data/paths/~1data~1v2~1consents~1%7Bconsentid%7D~1accounts~1%7Baccountid%7D~1balances/get.md): Returns the balance information for a specific account. Does a fresh pull from the external provider.
 - [GET /data/v2/consents/{consentId}/accounts/{accountId}/transactions](https://docs.atto.co/content/apis/bank-data/paths/~1data~1v2~1consents~1%7Bconsentid%7D~1accounts~1%7Baccountid%7D~1transactions/get.md): Returns a list of transactions tied to a specific account. The data returned by this endpoint is paginated and subsequent calls using the links provided in response body may be required to retrieve
